import 'package:syncrow_web/pages/spaces_management/all_spaces/model/product_model.dart';

class SelectedProduct {
  final String productId;
  int count;
  final String productName;
  final ProductModel? product;

  SelectedProduct({required this.productId, required this.count, required this.productName,  this.product});

  Map<String, dynamic> toJson() {
    return {
      'productId': productId,
      'count': count,
      'productName': productName,
    };
  }

   @override
  String toString() {
    return 'SelectedProduct(productId: $productId, count: $count)';
  }
}
